Subject: Re: bug#60966: 30.0.50; Emacs -nw on msys2 is not clearing the terminal

From: Eli Zaretskii <[email-masked]>
Date: Tue, 24 Jan 2023 18:57:54 +0200

> Date: Tue, 24 Jan 2023 16:24:29 +0100
> From: Ergus <[email-masked]>
> Cc: [email-masked]
> 
> It is just a bit weird that emacs shouldn't be called from within the
> msys terminal, maybe a warning message or something may help here. It is
> not terrible, just a bit confusing.

Maybe you should ask mintty developers to look into this?  No one
never asked Emacs to support mintty on Windows.  But then almost no
one uses the -nw sessions on Windows (why would you want to?).

> gcc -c -mtune=generic -DUSE_CRT_DLL=1 -I /c/Documents and
> Settings/T008593/Downloads/emacs/build/../source/nt/inc -mtune=generic
> -MMD -MF deps/fingerprint.d -MP -g3 -O2 -gdwarf-2 -I. -I../src
> -I../../source/lib -I../../source/lib/../src -DGL_COMPILE_CRYPTO_STREAM
> -o fingerprint.o ../../source/lib/fingerprint.c
> 
> So, probably is this the problem??

Yes.  Feel free to suggest a patch for configure.ac that would quote
the names.  Better yet, don't build Emacs inside directories with
whitespace in their names ;-)